curl --request PATCH \
--url https://api.example.com/api/v1/sites/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"annotations": {},
"tags": [
"<string>"
],
"name": "<string>",
"slug": "<string>",
"inventory_only": true,
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/sites/{id}/"
payload = {
"annotations": {},
"tags": ["<string>"],
"name": "<string>",
"slug": "<string>",
"inventory_only": True,
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: {},
tags: ['<string>'],
name: '<string>',
slug: '<string>',
inventory_only: true,
organisation: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/sites/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/sites/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'annotations' => [
],
'tags' => [
'<string>'
],
'name' => '<string>',
'slug' => '<string>',
'inventory_only' => true,
'organisation' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/sites/{id}/"
payload := strings.NewReader("{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/sites/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/sites/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_name": "<string>",
"links": {
"self": "<string>",
"collection": "<string>",
"organisation": "<string>",
"locations": "<string>",
"racks": "<string>",
"devices": "<string>",
"jobs": "<string>"
},
"counts": {
"total": 123,
"inventory_only_devices": 123,
"customer_ready": {
"true": 123,
"false": 123
},
"inventory_status": {
"planned": 123,
"staged": 123,
"active": 123,
"failed": 123,
"offline": 123,
"rma": 123,
"returned": 123,
"decommissioning": 123,
"decommissioned": 123,
"inventory": 123,
"unknown": 123
},
"operational_status": {
"unknown": 123,
"quarantine": 123,
"validation": 123,
"available": 123,
"in_use": 123,
"delegated": 123,
"pending_handover": 123,
"drained": 123,
"failed": 123
},
"health_status": {
"unknown": 123,
"healthy": 123,
"degraded": 123,
"critical": 123
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"slug": "<string>",
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"annotations": {},
"tags": [
"<string>"
],
"country": "AF",
"inventory_only": true
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Update site
List, retrieve, create and update sites.
curl --request PATCH \
--url https://api.example.com/api/v1/sites/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"annotations": {},
"tags": [
"<string>"
],
"name": "<string>",
"slug": "<string>",
"inventory_only": true,
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/sites/{id}/"
payload = {
"annotations": {},
"tags": ["<string>"],
"name": "<string>",
"slug": "<string>",
"inventory_only": True,
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: {},
tags: ['<string>'],
name: '<string>',
slug: '<string>',
inventory_only: true,
organisation: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/sites/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/sites/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'annotations' => [
],
'tags' => [
'<string>'
],
'name' => '<string>',
'slug' => '<string>',
'inventory_only' => true,
'organisation' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/sites/{id}/"
payload := strings.NewReader("{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/sites/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/sites/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"annotations\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"inventory_only\": true,\n \"organisation\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_name": "<string>",
"links": {
"self": "<string>",
"collection": "<string>",
"organisation": "<string>",
"locations": "<string>",
"racks": "<string>",
"devices": "<string>",
"jobs": "<string>"
},
"counts": {
"total": 123,
"inventory_only_devices": 123,
"customer_ready": {
"true": 123,
"false": 123
},
"inventory_status": {
"planned": 123,
"staged": 123,
"active": 123,
"failed": 123,
"offline": 123,
"rma": 123,
"returned": 123,
"decommissioning": 123,
"decommissioned": 123,
"inventory": 123,
"unknown": 123
},
"operational_status": {
"unknown": 123,
"quarantine": 123,
"validation": 123,
"available": 123,
"in_use": 123,
"delegated": 123,
"pending_handover": 123,
"drained": 123,
"failed": 123
},
"health_status": {
"unknown": 123,
"healthy": 123,
"degraded": 123,
"critical": 123
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"slug": "<string>",
"organisation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"annotations": {},
"tags": [
"<string>"
],
"country": "AF",
"inventory_only": true
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this site.
Body
Serializer for Site model.
Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').
Show child attributes
Show child attributes
Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.
25550^[-a-zA-Z0-9_]+$AF- AfghanistanAX- Åland IslandsAL- AlbaniaDZ- AlgeriaAS- American SamoaAD- AndorraAO- AngolaAI- AnguillaAQ- AntarcticaAG- Antigua and BarbudaAR- ArgentinaAM- ArmeniaAW- ArubaAU- AustraliaAT- AustriaAZ- AzerbaijanBS- Bahamas (The)BH- BahrainBD- BangladeshBB- BarbadosBY- BelarusBE- BelgiumBZ- BelizeBJ- BeninBM- BermudaBT- BhutanBO- BoliviaBQ- Bonaire, Sint Eustatius and SabaBA- Bosnia and HerzegovinaBW- BotswanaBV- Bouvet IslandBR- BrazilIO- British Indian Ocean TerritoryBN- BruneiBG- BulgariaBF- Burkina FasoBI- BurundiCV- Cabo VerdeKH- CambodiaCM- CameroonCA- CanadaKY- Cayman IslandsCF- Central African RepublicTD- ChadCL- ChileCN- ChinaCX- Christmas IslandCC- Cocos (Keeling) IslandsCO- ColombiaKM- ComorosCG- CongoCK- Cook IslandsCR- Costa RicaCI- Côte d'IvoireHR- CroatiaCU- CubaCW- CuraçaoCY- CyprusCZ- CzechiaCD- Democratic Republic of the CongoDK- DenmarkDJ- DjiboutiDM- DominicaDO- Dominican RepublicEC- EcuadorEG- EgyptSV- El SalvadorGQ- Equatorial GuineaER- EritreaEE- EstoniaSZ- EswatiniET- EthiopiaFK- Falkland Islands (Malvinas)FO- Faroe IslandsFJ- FijiFI- FinlandFR- FranceGF- French GuianaPF- French PolynesiaTF- French Southern TerritoriesGA- GabonGM- GambiaGE- GeorgiaDE- GermanyGH- GhanaGI- GibraltarGR- GreeceGL- GreenlandGD- GrenadaGP- GuadeloupeGU- GuamGT- GuatemalaGG- GuernseyGN- GuineaGW- Guinea-BissauGY- GuyanaHT- HaitiHM- Heard Island and McDonald IslandsHN- HondurasHK- Hong KongHU- HungaryIS- IcelandIN- IndiaID- IndonesiaIR- IranIQ- IraqIE- IrelandIM- Isle of ManIL- IsraelIT- ItalyJM- JamaicaJP- JapanJE- JerseyJO- JordanKZ- KazakhstanKE- KenyaKI- KiribatiKW- KuwaitKG- KyrgyzstanLA- LaosLV- LatviaLB- LebanonLS- LesothoLR- LiberiaLY- LibyaLI- LiechtensteinLT- LithuaniaLU- LuxembourgMO- MacaoMG- MadagascarMW- MalawiMY- MalaysiaMV- MaldivesML- MaliMT- MaltaMH- Marshall IslandsMQ- MartiniqueMR- MauritaniaMU- MauritiusYT- MayotteMX- MexicoFM- MicronesiaMD- MoldovaMC- MonacoMN- MongoliaME- MontenegroMS- MontserratMA- MoroccoMZ- MozambiqueMM- MyanmarNA- NamibiaNR- NauruNP- NepalNL- NetherlandsNC- New CaledoniaNZ- New ZealandNI- NicaraguaNE- NigerNG- NigeriaNU- NiueNF- Norfolk IslandKP- North KoreaMK- North MacedoniaMP- Northern Mariana IslandsNO- NorwayOM- OmanPK- PakistanPW- PalauPS- PalestinePA- PanamaPG- Papua New GuineaPY- ParaguayPE- PeruPH- PhilippinesPN- PitcairnPL- PolandPT- PortugalPR- Puerto RicoQA- QatarRE- RéunionRO- RomaniaRU- RussiaRW- RwandaBL- Saint BarthélemySH- Saint HelenaKN- Saint Kitts and NevisLC- Saint LuciaMF- Saint Martin (French part)PM- Saint Pierre and MiquelonVC- Saint Vincent and the GrenadinesWS- SamoaSM- San MarinoST- Sao Tome and PrincipeSA- Saudi ArabiaSN- SenegalRS- SerbiaSC- SeychellesSL- Sierra LeoneSG- SingaporeSX- Sint Maarten (Dutch part)SK- SlovakiaSI- SloveniaSB- Solomon IslandsSO- SomaliaZA- South AfricaGS- South GeorgiaKR- South KoreaSS- South SudanES- SpainLK- Sri LankaSD- SudanSR- SurinameSJ- Svalbard and Jan MayenSE- SwedenCH- SwitzerlandSY- SyriaTW- TaiwanTJ- TajikistanTZ- TanzaniaTH- ThailandTL- Timor-LesteTG- TogoTK- TokelauTO- TongaTT- Trinidad and TobagoTN- TunisiaTR- TürkiyeTM- TurkmenistanTC- Turks and Caicos IslandsTV- TuvaluUG- UgandaUA- UkraineAE- United Arab EmiratesGB- United KingdomUM- United States Minor Outlying IslandsUS- United States of AmericaUY- UruguayUZ- UzbekistanVU- VanuatuVA- Vatican CityVE- VenezuelaVN- VietnamVG- Virgin Islands (British)VI- Virgin Islands (U.S.)WF- Wallis and FutunaEH- Western SaharaYE- YemenZM- ZambiaZW- Zimbabwe
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, CD, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, KP, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VA, VE, VN, VG, VI, WF, EH, YE, ZM, ZW Fleet Manager publishes this site's inventory but manages no hardware here. Set at create from deployment config (netboxAgent.inventoryOnlySites) and immutable afterwards; every Device created here inherits Device.inventory_only.
Response
Serializer for Site model.
Serializer for site links.
Show child attributes
Show child attributes
Schema for the nested counts field on Site responses.
Every bucket bar inventory_only_devices is scoped to FM-managed devices
(see device_status_count_aggregations), so an inventory_only site
legitimately reports zero across them however many inventory rows it holds —
inventory_only_devices is where those rows are counted. Filter the site
list by inventory_only to list the same universe a given bucket measures.
Show child attributes
Show child attributes
25550^[-a-zA-Z0-9_]+$Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').
Show child attributes
Show child attributes
Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.
AF- AfghanistanAX- Åland IslandsAL- AlbaniaDZ- AlgeriaAS- American SamoaAD- AndorraAO- AngolaAI- AnguillaAQ- AntarcticaAG- Antigua and BarbudaAR- ArgentinaAM- ArmeniaAW- ArubaAU- AustraliaAT- AustriaAZ- AzerbaijanBS- Bahamas (The)BH- BahrainBD- BangladeshBB- BarbadosBY- BelarusBE- BelgiumBZ- BelizeBJ- BeninBM- BermudaBT- BhutanBO- BoliviaBQ- Bonaire, Sint Eustatius and SabaBA- Bosnia and HerzegovinaBW- BotswanaBV- Bouvet IslandBR- BrazilIO- British Indian Ocean TerritoryBN- BruneiBG- BulgariaBF- Burkina FasoBI- BurundiCV- Cabo VerdeKH- CambodiaCM- CameroonCA- CanadaKY- Cayman IslandsCF- Central African RepublicTD- ChadCL- ChileCN- ChinaCX- Christmas IslandCC- Cocos (Keeling) IslandsCO- ColombiaKM- ComorosCG- CongoCK- Cook IslandsCR- Costa RicaCI- Côte d'IvoireHR- CroatiaCU- CubaCW- CuraçaoCY- CyprusCZ- CzechiaCD- Democratic Republic of the CongoDK- DenmarkDJ- DjiboutiDM- DominicaDO- Dominican RepublicEC- EcuadorEG- EgyptSV- El SalvadorGQ- Equatorial GuineaER- EritreaEE- EstoniaSZ- EswatiniET- EthiopiaFK- Falkland Islands (Malvinas)FO- Faroe IslandsFJ- FijiFI- FinlandFR- FranceGF- French GuianaPF- French PolynesiaTF- French Southern TerritoriesGA- GabonGM- GambiaGE- GeorgiaDE- GermanyGH- GhanaGI- GibraltarGR- GreeceGL- GreenlandGD- GrenadaGP- GuadeloupeGU- GuamGT- GuatemalaGG- GuernseyGN- GuineaGW- Guinea-BissauGY- GuyanaHT- HaitiHM- Heard Island and McDonald IslandsHN- HondurasHK- Hong KongHU- HungaryIS- IcelandIN- IndiaID- IndonesiaIR- IranIQ- IraqIE- IrelandIM- Isle of ManIL- IsraelIT- ItalyJM- JamaicaJP- JapanJE- JerseyJO- JordanKZ- KazakhstanKE- KenyaKI- KiribatiKW- KuwaitKG- KyrgyzstanLA- LaosLV- LatviaLB- LebanonLS- LesothoLR- LiberiaLY- LibyaLI- LiechtensteinLT- LithuaniaLU- LuxembourgMO- MacaoMG- MadagascarMW- MalawiMY- MalaysiaMV- MaldivesML- MaliMT- MaltaMH- Marshall IslandsMQ- MartiniqueMR- MauritaniaMU- MauritiusYT- MayotteMX- MexicoFM- MicronesiaMD- MoldovaMC- MonacoMN- MongoliaME- MontenegroMS- MontserratMA- MoroccoMZ- MozambiqueMM- MyanmarNA- NamibiaNR- NauruNP- NepalNL- NetherlandsNC- New CaledoniaNZ- New ZealandNI- NicaraguaNE- NigerNG- NigeriaNU- NiueNF- Norfolk IslandKP- North KoreaMK- North MacedoniaMP- Northern Mariana IslandsNO- NorwayOM- OmanPK- PakistanPW- PalauPS- PalestinePA- PanamaPG- Papua New GuineaPY- ParaguayPE- PeruPH- PhilippinesPN- PitcairnPL- PolandPT- PortugalPR- Puerto RicoQA- QatarRE- RéunionRO- RomaniaRU- RussiaRW- RwandaBL- Saint BarthélemySH- Saint HelenaKN- Saint Kitts and NevisLC- Saint LuciaMF- Saint Martin (French part)PM- Saint Pierre and MiquelonVC- Saint Vincent and the GrenadinesWS- SamoaSM- San MarinoST- Sao Tome and PrincipeSA- Saudi ArabiaSN- SenegalRS- SerbiaSC- SeychellesSL- Sierra LeoneSG- SingaporeSX- Sint Maarten (Dutch part)SK- SlovakiaSI- SloveniaSB- Solomon IslandsSO- SomaliaZA- South AfricaGS- South GeorgiaKR- South KoreaSS- South SudanES- SpainLK- Sri LankaSD- SudanSR- SurinameSJ- Svalbard and Jan MayenSE- SwedenCH- SwitzerlandSY- SyriaTW- TaiwanTJ- TajikistanTZ- TanzaniaTH- ThailandTL- Timor-LesteTG- TogoTK- TokelauTO- TongaTT- Trinidad and TobagoTN- TunisiaTR- TürkiyeTM- TurkmenistanTC- Turks and Caicos IslandsTV- TuvaluUG- UgandaUA- UkraineAE- United Arab EmiratesGB- United KingdomUM- United States Minor Outlying IslandsUS- United States of AmericaUY- UruguayUZ- UzbekistanVU- VanuatuVA- Vatican CityVE- VenezuelaVN- VietnamVG- Virgin Islands (British)VI- Virgin Islands (U.S.)WF- Wallis and FutunaEH- Western SaharaYE- YemenZM- ZambiaZW- Zimbabwe
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, CD, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, KP, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VA, VE, VN, VG, VI, WF, EH, YE, ZM, ZW Fleet Manager publishes this site's inventory but manages no hardware here. Set at create from deployment config (netboxAgent.inventoryOnlySites) and immutable afterwards; every Device created here inherits Device.inventory_only.